Bug 206232 - databases/ruby-bdb: fix build with Ruby 2.3
Summary: databases/ruby-bdb: fix build with Ruby 2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Akinori MUSHA
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-14 10:05 UTC by Yasuhiro Kimura
Modified: 2016-02-02 01:27 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (knu)


Attachments
Fix build with Ruby 2.3. (1.72 KB, patch)
2016-01-14 10:05 UTC, Yasuhiro Kimura
no flags Details | Diff
Poudriere build log. (49.57 KB, text/plain)
2016-01-16 12:22 UTC, Yasuhiro Kimura
no flags Details
updated patch which fixes ruby 2.1 case (750 bytes, patch)
2016-01-17 16:12 UTC, Steve Wills
no flags Details | Diff
Updated patch. (1.87 KB, patch)
2016-01-18 11:17 UTC, Yasuhiro Kimura
no flags Details | Diff
Synchronize with current port tree. (2.00 KB, patch)
2016-01-21 09:50 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2016-01-14 10:05:34 UTC
Created attachment 165552 [details]
Fix build with Ruby 2.3.

* Fix build with Ruby 2.3.
* Rename extra-patch-src-features.rb to patch-src-features.rb because all supported Ruby versions require it now.
Comment 1 Yasuhiro Kimura 2016-01-16 12:22:39 UTC
Created attachment 165662 [details]
Poudriere build log.
Comment 2 Koichiro Iwao freebsd_committer 2016-01-16 15:15:42 UTC
+1 this patch works for me.
Comment 3 Steve Wills freebsd_committer 2016-01-17 16:12:53 UTC
Created attachment 165719 [details]
updated patch which fixes ruby 2.1 case

The previous patch breaks the ruby 2.1 case. This patch fixes that. I'm going to test a bit and then commit this one.
Comment 4 Yasuhiro Kimura 2016-01-18 11:17:52 UTC
Created attachment 165754 [details]
Updated patch.

I made a mistake in generating patch. Please try attached one. It works fine with all supported Ruby versions.
Comment 5 Steve Wills freebsd_committer 2016-01-18 15:31:44 UTC
Can confirm, patch works perfectly now.
Comment 6 Yasuhiro Kimura 2016-01-21 09:50:25 UTC
Created attachment 165903 [details]
Synchronize with current port tree.
Comment 7 Koichiro Iwao freebsd_committer 2016-01-26 09:42:07 UTC
When will this be committed? I'm really waiting for that.
Comment 8 Yasuhiro Kimura 2016-01-30 10:42:02 UTC
Hello Akinori MUSHA-san,

Would you please commit attachment 165903 [details]?

Best Regards.
Comment 9 commit-hook freebsd_committer 2016-02-02 01:26:27 UTC
A commit references this bug:

Author: swills
Date: Tue Feb  2 01:26:00 UTC 2016
New revision: 407789
URL: https://svnweb.freebsd.org/changeset/ports/407789

Log:
  databases/ruby-bdb: fix build with Ruby 2.3

  PR:		206232
  Submitted by:	Yasuhiro KIMURA <yasu@utahime.org>

Changes:
  head/databases/ruby-bdb/Makefile
  head/databases/ruby-bdb/files/extra-patch-src-features.rb
  head/databases/ruby-bdb/files/patch-src-features.rb
Comment 10 Steve Wills freebsd_committer 2016-02-02 01:27:40 UTC
Committed, thanks!